#include <amxmodx>
#include <cstrike>
#include <fakemeta>
#include <geoip>

#define PLUGIN	"Aim Info + Country"
#define VERSION "1.1"
#define AUTHOR	"xPaw"

new Float:gLastAimDetail[33];
new gPlayerCountry[33][46];
new gMsgStatusText;
new gMsgStatusValue;

public plugin_init() {
	register_plugin( PLUGIN, VERSION, AUTHOR );
	
	gMsgStatusText	= get_user_msgid( "StatusText" );
	gMsgStatusValue	= get_user_msgid( "StatusValue" );
	
	register_forward( FM_PlayerPreThink,	"fwdPlayerPreThink" );
}

public client_putinserver( id ) {
	static szIP[32];
	get_user_ip( id, szIP, 31 );
	geoip_country( szIP, gPlayerCountry[id] );
	
	if( equal(gPlayerCountry[id], "error") ) {
		if( !contain(szIP, "192.168.") || !contain(szIP, "10. ") || !contain(szIP, "172.") || equal(szIP, "127.0.0.1") )
			gPlayerCountry[id] = "LAN";
		
		else if( equal(szIP, "loopback") )
			gPlayerCountry[id] = "LAN Owner";
		
		else
			gPlayerCountry[id] = "Unknown Country";
	}
}


public fwdPlayerPreThink( id ) {
	if( is_user_alive(id) ) {
		static Float:fGmTime;
		fGmTime = get_gametime();
		
		if(gLastAimDetail[id] < fGmTime) {
			new iTgt, iBody;
			get_user_aiming(id, iTgt, iBody, 3000);
			
			if( is_user_alive(iTgt) ) {
				new szMessage[256];
				
				if( cs_get_user_team( id ) == cs_get_user_team( iTgt ) )
					formatex( szMessage, 255, "Friend: %%p2 - %s - Health: %i%s", gPlayerCountry[iTgt], pev( iTgt, pev_health ), "%%" );
				else
					formatex( szMessage, 255, "Enemy: %%p2 - %s", gPlayerCountry[iTgt] );
				
				message_begin( MSG_ONE_UNRELIABLE, gMsgStatusText, _, id );
				write_byte( 0 );
				write_string( szMessage );
				message_end();
				
				message_begin( MSG_ONE_UNRELIABLE, gMsgStatusValue, _, id );
				write_byte( 2 );
				write_short( iTgt );
				message_end();
			} else {
				message_begin( MSG_ONE_UNRELIABLE, gMsgStatusText, _, id );
				write_byte( 0 );
				write_string(" ");
				message_end();
			}
			
			gLastAimDetail[id] = fGmTime + 0.2;
		}
	}
	return FMRES_IGNORED;
}